PostgreSQL字符集转换处理权限提升漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1199264 漏洞类型 设计错误
发布时间 2005-05-03 更新时间 2007-03-01
CVE编号 CVE-2005-1409 CNNVD-ID CNNVD-200505-871
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
https://www.securityfocus.com/bid/13476
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200505-871
|漏洞详情
PostgreSQL是PostgreSQL开发组所研发的一套自由的对象关系型数据库管理系统。该系统支持大部分SQL标准并且提供了许多其他特性,例如外键、触发器、视图等。PostgreSQL的字符集转换函数的实现存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞提升自己的权限。
|受影响的产品
Trustix Secure Enterprise Linux 2.0 SGI ProPack 3.0 SGI Advanced Linux Environment 3.0 Redhat Linux 9.0 i386 Redhat Fedora Core2 Redhat Fedora Core1 Redh
|参考资料

来源:www.postgresql.org
链接:http://www.postgresql.org/about/news.315
来源:VUPEN
名称:ADV-2005-0453
链接:http://www.frsirt.com/english/advisories/2005/0453
来源:MLIST
名称:[pgsql-announce]20050502IMPORTANT:twonewPostgreSQLsecurityproblemsfound
链接:http://archives.postgresql.org/pgsql-announce/2005-05/msg00001.php
来源:BID
名称:13476
链接:http://www.securityfocus.com/bid/13476
来源:FEDORA
名称:FLSA-2006:157366
链接:http://www.securityfocus.com/archive/1/archive/1/426302/30/6680/threaded
来源:REDHAT
名称:RHSA-2005:433
链接:http://www.redhat.com/support/errata/RHSA-2005-433.html
来源:SUSE
名称:SUSE-SA:2005:036
链接:http://www.novell.com/linux/security/advisories/2005_36_sudo.html
来源:USGovernmentResource:oval:org.mitre.oval:def:676
名称:oval:org.mitre.oval:def:676
链接:http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:676